Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

NT7 install issue on VPS

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    NT7 install issue on VPS

    Hello,

    I am getting an error while trying to install NT7 on VPS server.

    "Failed to download NinjaTrader"

    Please refer to the attached screenshot for the error message.

    Can someone help to resolve this installation issue?

    Cheers!!
    Attached Files

    #2
    Hello chingus,

    Thank you for your post.

    This usually occurs when a program on your computer or it's network is preventing the installer from downloading the required files. You'll want to check and make sure that the platform installer is not being blocked by antivirus.

    Alternatively you can download the platform here from the link below.
    Please use the your license key to access the page.

    Please feel free to write in if you have any additional questions.
    Heath R.NinjaTrader Customer Service

    Comment


      #3
      Hi Heath,

      I am getting the same error when installing from the link provided by you.

      I have entered the license key and when executing the setup file, I am getting the same error again.

      Any clue how to resolve this issue?

      Cheers!!

      Comment


        #4
        Hello Chingus,

        Thank you for your note.

        This usually means that your VPS is blocking the installer from running you'll need to verify that the antivirus software you're running on the VPS is not blocking the installer and additionally reach out to the VPS provider to ensure security for their machines is not preventing the installer from running.

        Please reach out to us if you have any additional questions.
        Heath R.NinjaTrader Customer Service

        Comment


          #5
          There is no anti-virus other than the standard windows firewall.

          Do I need to change any settings for the firewall?

          Comment


            #6
            Hello chingus,

            Thank you for your reply.

            You'll want to ensure the firewall is not blocking connections the installer is trying to make.

            Alternatively you can download the installer on your pc and transfer to the VPS.

            You'll also want to make sure the VPS has .Net 3.5 installed so you can run NinjaTrader 7, if you're on Window 10 it might be missing this.

            First thing, exit any applications running on your computer
            • Go to the Uninstall a Program section of the Windows Control Panel
            • At the top left select Turn Windows features on or off
            • Clear the check box for Microsoft .NET Framework 3.5
            • After Windows disables the feature you will need to go back and re-enable Microsoft .NET Framework 3.5

            After the install please check for updates to the .Net Framework with the Windows Update function

            Note: Do not reboot your PC in between these steps as this can potentially create more issues that we are unfortunately not qualified to assist with.

            After completing these .NET steps, please also uninstall and reinstall NinjaTrader. These steps will not remove any of your custom files or settings:
            • Close all running applications.
            • Uninstall NinjaTrader within Windows Control Panel.
            • Navigate to C:\ > Program File (x86) > Delete the 'NinjaTrader 7' folder if it exists
            • Reboot your PC.
            • Once these steps are completed, download and install NinjaTrader 7 from the link below.


            If this does not resolve your issue, you'll need to reach out to the provider of the VPS to see what they may have blocking the installers access on their end.
            Heath R.NinjaTrader Customer Service

            Comment


              #7
              Hi Heath,

              I tried all the steps provided by you and still having the same issue to install NT7 on VPS - Windows Server.

              Is there any other option because my VPS Server is asking me to contact the software vendor for support and they are not familiar with NinjaTrader software.

              Thanks for help provided so far.


              Comment


                #8
                HelloChingus,

                Thank you for your note.

                You'll want to ensure that you've installed .NET 3.5 on this remote server or you will not be able to run NinjaTrader 7 properly.

                You can download the required version of .NET from the publicly available link below:

                http://www.microsoft.com/downloads/e...1-508d977d32a6


                Please feel free to write in if you need additional assistance.
                Heath R.NinjaTrader Customer Service

                Comment

                Latest Posts

                Collapse

                Topics Statistics Last Post
                Started by vpatanka, Today, 09:25 AM
                0 responses
                39 views
                0 likes
                Last Post vpatanka  
                Started by Halmix, Today, 07:12 AM
                0 responses
                31 views
                0 likes
                Last Post Halmix
                by Halmix
                 
                Started by Bobin, Today, 06:39 AM
                0 responses
                33 views
                0 likes
                Last Post Bobin
                by Bobin
                 
                Started by KirkHammett, Today, 03:23 AM
                0 responses
                13 views
                0 likes
                Last Post KirkHammett  
                Started by eleven, Yesterday, 10:06 PM
                0 responses
                44 views
                0 likes
                Last Post eleven
                by eleven
                 
                Working...
                X